Problema com monitor/placa de video no Ubuntu 10.04

1. Problema com monitor/placa de video no Ubuntu 10.04

George Henrique Wurthmann
Wurthma

(usa Ubuntu)

Enviado em 24/02/2012 - 16:17h

Boa tarde,
Sou novato no linux. Antes de usar diretamente no meu PC eu já tinha usado antes, mais pelo VirtualBox pra aprender sobre sua instalação, interface, configuração da rede, etc. Agora estou no primeiro semestre de Sistemas de Informação e quero aprender mais sobre ele, usar com mais frequência. Então coloquei o Linux 10.04 amd64 em dual boot aqui com meu Window 7. Mais ele não reconhece meu monitor, aparece como desconhecido e apenas a resolução de 600x400 ou 800x600. Eu verifiquei o hardware e ele não acusou driver pra nada, então achei que não fosse minha placa de vídeo.
Monitor: Samsung SyncMaster XL2370 23"
Placa de video: GTX 460

É horrível mexer com o monitor grande e uma resolução tão pequena. Gostaria de saber se posso reconhecer meu monitor de alguma forma?


  


2. Re: Problema com monitor/placa de video no Ubuntu 10.04

Josue de Jesus Santos
JJSantos

(usa Gentoo)

Enviado em 24/02/2012 - 16:27h

Boa tarde.

Como diz ser novato, let's go.

Poste essas saídas, sabe usar um terminal?

# lspci | grep VGA

# lsmod


3. resposta

George Henrique Wurthmann
Wurthma

(usa Ubuntu)

Enviado em 25/02/2012 - 17:56h

Digamos que sei pra que serve... rsrs
Mais nunca usei.
Primeiro não entendi o por que do "#" no inicio dos comandos. Ele é necessário?
Com ele no inicio não apareceu nada.
Usei o comando:
lspci | grep VGA
Apareceu o a seguinte mensagem:
01:00.0 VGA compatible controller: nVidia Corporation device 0e22 (rev a1)

e no comando "lsmod" recebi os seguintes valores:

Module Size Used by
binfmt_misc 7960 1
ppdev 6375 0
snd_hda_codec_realtek 279008 0
joydev 11104 0
snd_hda_intel 25805 2
snd_hda_codec 85759 2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep 6924 1 snd_hda_codec
snd_pcm_oss 41394 0
snd_mixer_oss 16299 1 snd_pcm_oss
snd_pcm 87946 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_dummy 1782 0
snd_seq_oss 31191 0
snd_seq_midi 5829 0
snd_rawmidi 23420 1 snd_seq_midi
snd_seq_midi_event 7267 2 snd_seq_oss,snd_seq_midi
snd_seq 57481 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 23649 2 snd_pcm,snd_seq
snd_seq_device 6888 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
fbcon 39270 71
tileblit 2487 1 fbcon
font 8053 1 fbcon
bitblit 5811 1 fbcon
softcursor 1565 1 bitblit
vga16fb 12757 1
vgastate 9857 1 vga16fb
snd 71283 16 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
nouveau 515227 0
shpchp 33711 0
ttm 61007 1 nouveau
drm_kms_helper 30742 1 nouveau
usbhid 41116 0
hid 83888 1 usbhid
drm 198886 3 nouveau,ttm,drm_kms_helper
i2c_algo_bit 6024 1 nouveau
psmouse 65040 0
serio_raw 4918 0
soundcore 8052 1 snd
snd_page_alloc 8500 2 snd_hda_intel,snd_pcm
xhci 42519 0
lp 9336 0
parport 37160 2 ppdev,lp
floppy 63156 0
ohci1394 30260 0
r8169 39714 0
mii 5237 1 r8169
ieee1394 94771 1 ohci1394



4. Re: Problema com monitor/placa de video no Ubuntu 10.04

Josue de Jesus Santos
JJSantos

(usa Gentoo)

Enviado em 25/02/2012 - 19:33h

Baixe o driver e instale : http://pkgs.org/nvidia-driver-rpm-deb-linux-free-download/


5. resposta

George Henrique Wurthmann
Wurthma

(usa Ubuntu)

Enviado em 25/02/2012 - 20:34h

Ok, baixei o arquivo nvidia-295.20-1-x86_64.pkg.tar.xz
Como vou instalar ele agora?
.xz é um tipo de compressão né?
Vou acabar tendo uma grande aula aqui, nunca instalei nada em Linux, sempre usei apenas oque vinha nele.
Pesquisei sobre o .xz e vi que 7-zip é compatível com ele, dei uma olhada nos downloads do 7-zip e parece que não tem versão dele para Linux.
Pode me ajudar a instalar o driver agora?
Obrigado des de já pela ajuda.


6. Re: Problema com monitor/placa de video no Ubuntu 10.04

Josue de Jesus Santos
JJSantos

(usa Gentoo)

Enviado em 25/02/2012 - 20:42h

Wurthma escreveu:

Ok, baixei o arquivo nvidia-295.20-1-x86_64.pkg.tar.xz
Como vou instalar ele agora?
.xz é um tipo de compressão né?
Vou acabar tendo uma grande aula aqui, nunca instalei nada em Linux, sempre usei apenas oque vinha nele.
Pesquisei sobre o .xz e vi que 7-zip é compatível com ele, dei uma olhada nos downloads do 7-zip e parece que não tem versão dele para Linux.
Pode me ajudar a instalar o driver agora?
Obrigado des de já pela ajuda.


Esse formato que você baixou é para Arch. Você disse que usa o Ubuntu


Se for 64 bits

http://pkgs.org/ubuntu-10.04/nvidia-vdpau-amd64/nvidia-current_280.13-0ubuntu1~lucid~xup2_amd64.deb....

se for 32 bits

http://pkgs.org/ubuntu-10.04/nvidia-vdpau-i386/nvidia-current_280.13-0ubuntu1~lucid~xup2_i386.deb.ht...


Como descubro rode

# uname -r

# uname -a


7. resposta

George Henrique Wurthmann
Wurthma

(usa Ubuntu)

Enviado em 25/02/2012 - 20:59h

Baixei o driver para amd64, instalei e reiniciei. Mais continuo com apenas com as resoluções de 800x600 ou 640x480.
Não entendi pra que os códigos que você colocou por ultimo, mais usei eles e recebi esses valores:

[email protected]:~$ uname -r
2.6.32-33-generic
[email protected]:~$ uname -a
Linux ubuntu 2.6.32-33-generic #70-Ubuntu SMP Thu Jul 7 21:13:52 UTC 2011 x86_64 GNU/Linux



8. Re: Problema com monitor/placa de video no Ubuntu 10.04

Josue de Jesus Santos
JJSantos

(usa Gentoo)

Enviado em 25/02/2012 - 21:08h

Wurthma escreveu:

Baixei o driver para amd64, instalei e reiniciei. Mais continuo com apenas com as resoluções de 800x600 ou 640x480.
Não entendi pra que os códigos que você colocou por ultimo, mais usei eles e recebi esses valores:

[email protected]:~$ uname -r
2.6.32-33-generic
[email protected]:~$ uname -a
Linux ubuntu 2.6.32-33-generic #70-Ubuntu SMP Thu Jul 7 21:13:52 UTC 2011 x86_64 GNU/Linux


Instalou o pacote e verificou se não existem dependências?

$ sudo apt-get -f install


9. resposta

George Henrique Wurthmann
Wurthma

(usa Ubuntu)

Enviado em 25/02/2012 - 22:04h

Dei os dois cliques no driver, segui os passos para instalação. Quando terminou apenas reiniciei.
Digitei esse comando que você passou agora e deu isso:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 156 não atualizados.



10. resposta

George Henrique Wurthmann
Wurthma

(usa Ubuntu)

Enviado em 29/02/2012 - 12:28h

Resolvi de uma forma mais simples aqui. rsrs
Instalei a versão mais recente (11.10) e ela reconheceu tudo certinho. Hehe
Obrigado pela ajuda!